Bug 63328 - EFI bootloader location in violation of standard
EFI bootloader location in violation of standard
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: 62977 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-04-12 12:35 EDT by Preston Brown
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-25 10:55:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Preston Brown 2002-04-12 12:35:24 EDT
Copy of message from Intel follows: 
 The IA-64 Red Hat installer copies the EFI bootloader and the kernel onto 
the root EFI partition.  This violates the EFI specification as stated 
below.  Is there any plan to move the bootloader and related files to a 
subdirectory under the root EFI partition? 
The spec states: Directory Structure 
"An EFI system partition that is present on a hard disk must contain an EFI 
defined directory in the root directory.  This directory is named EFI.  All 
OS loaders and applications will be stored in subdirectories below EFI. 
Applications that are loaded by other applications or drivers are not 
required to be stored in any specific location in the EFI system partition. 
The choice of the subdirectory name is up to the vendor, but all vendors 
must pick names that do not collide with any other vendor's subdirectory 
name.  This applies to system manufacturers, operating system vendors, BIOS 
vendors, and third party tool vendors, or any other vendor that wishes to 
install files on an EFI system partition.  There must also only be one 
executable EFI image for each supported CPU architecture in each vendor 
subdirectory.  This guarantees that there is only one image that can be 
loaded from a vendor subdirectory by the EFI Boot Manager."
Comment 1 Michael Fulbright 2002-04-15 16:56:53 EDT
Will address in our next ia64 release.
Comment 2 Michael Fulbright 2002-04-15 17:07:03 EDT
*** Bug 62977 has been marked as a duplicate of this bug. ***
Comment 3 Jeremy Katz 2002-09-30 18:18:57 EDT
This is addressed in the Derry release
Comment 4 Brent Fox 2003-05-25 10:55:31 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.